### Method

# Gimp CMYK get_uchar

#### Declaration [src]

    void
    gimp_cmyk_get_uchar (
      const GimpCMYK* cmyk,
      guchar* cyan,
      guchar* magenta,
      guchar* yellow,
      guchar* black
    )

#### Description [src]

Retrieve individual channel values from a `GimpCMYK` structure. Channel values are pointers to unsigned chars in the range 0 to 255.

#### Parameters

`cyan` | `guchar*`
| The Cyan channel of the CMYK value.
| The argument will be set by the function.
| The argument can be `NULL`.
`magenta` | `guchar*`
| The Magenta channel.
| The argument will be set by the function.
| The argument can be `NULL`.
`yellow` | `guchar*`
| The Yellow channel.
| The argument will be set by the function.
| The argument can be `NULL`.
`black` | `guchar*`
| The blacK channel.
| The argument will be set by the function.
| The argument can be `NULL`.